> NOTE: This page was generated from the Puppet source code on 2024-08-28 16:45:59 -0700

# stage

- Attributes

## Description

A resource type for creating new run stages. Once a stage is available, classes can be assigned to it by declaring them with the resource-like syntax and using the `stage` metaparameter.

Note that new stages are not useful unless you also declare their order in relation to the default `main` stage.

A complete run stage example:

    stage { 'pre':
      before => Stage['main'],
    }

    class { 'apt-updates':
      stage => 'pre',
    }

Individual resources cannot be assigned to run stages; you can only set stages for classes.

## Attributes

    stage { 'resource title':
      name => # (namevar) The name of the stage. Use this as the value for
      # ...plus any applicable metaparameters.
    }

### name

(Namevar: If omitted, this attribute’s value defaults to the resource’s title.)

The name of the stage. Use this as the value for the `stage` metaparameter when assigning classes to this stage.

(↑ Back to stage attributes)